Skip to main content
Quote / Vehicle Types

Get a list of vehicle types

Get a list of vehicle types.

GET
/qt/vehicle-types

This method requires the VehicleTypes:Get permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
vehicle_type_codestringquery

Optional Vehicle Type Code

This field supports the wildcard % operator.

Maximum string length: 20
vehicle_type_descriptionstringquery

Optional Vehicle Type Description

This field supports the wildcard % operator.

Maximum string length: 50
lct_exempt_flagenum<string>query

Optional LCT exempt flag

Available options: yes, no
data_source_idstringquery

Optional Data Source Id

pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1